---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs201t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x5970, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x59450, symBinAddr: 0x10250, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B390, symBinAddr: 0x12190, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5B780, symBinAddr: 0x12580, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5C720, symBinAddr: 0x13520, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5C730, symBinAddr: 0x13530, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _chbuffer, symObjAddr: 0x73E30, symBinAddr: 0x2AC30, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59090, symBinAddr: 0x100E0, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59094, symBinAddr: 0x100E4, symSize: 0x0 }
  - { offsetInCU: 0xBF0, offset: 0xBF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59098, symBinAddr: 0x100E8, symSize: 0x0 }
  - { offsetInCU: 0xC35, offset: 0xC35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x591F0, symBinAddr: 0x100F0, symSize: 0x0 }
  - { offsetInCU: 0xCAE, offset: 0xCAE, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x592A8, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0xCCC, offset: 0xCCC, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x592AC, symBinAddr: 0x101AC, symSize: 0x0 }
  - { offsetInCU: 0xCE5, offset: 0xCE5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x592B0, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0xCFE, offset: 0xCFE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x592B4, symBinAddr: 0x101B4, symSize: 0x0 }
  - { offsetInCU: 0xD17, offset: 0xD17, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x592B8, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x9306, offset: 0x9306, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x592C0, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x938F, offset: 0x938F, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x592D0, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x93A8, offset: 0x93A8, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x592D8, symBinAddr: 0x101D8, symSize: 0x0 }
  - { offsetInCU: 0x93C1, offset: 0x93C1, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x592E0, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x93DA, offset: 0x93DA, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x592E8, symBinAddr: 0x101E8, symSize: 0x0 }
  - { offsetInCU: 0x93F3, offset: 0x93F3, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x592F0, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x940D, offset: 0x940D, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x592F8, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x94F3, offset: 0x94F3, size: 0x8, addend: 0x0, symName: __ZL9testClass, symObjAddr: 0x59340, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x950C, offset: 0x950C, size: 0x8, addend: 0x0, symName: __ZL14redefineNumber, symObjAddr: 0x59348, symBinAddr: 0x10208, symSize: 0x0 }
  - { offsetInCU: 0x9525, offset: 0x9525, size: 0x8, addend: 0x0, symName: __ZL12newClassSize, symObjAddr: 0x5934C, symBinAddr: 0x1020C, symSize: 0x0 }
  - { offsetInCU: 0x953E, offset: 0x953E, size: 0x8, addend: 0x0, symName: __ZL13newClassBytes, symObjAddr: 0x59350, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0x9557, offset: 0x9557, size: 0x8, addend: 0x0, symName: __ZL8testStep, symObjAddr: 0x59358, symBinAddr: 0x10218, symSize: 0x0 }
  - { offsetInCU: 0x9570, offset: 0x9570, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x59360, symBinAddr: 0x10220, symSize: 0x0 }
  - { offsetInCU: 0x9589, offset: 0x9589, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x59368, symBinAddr: 0x10228, symSize: 0x0 }
  - { offsetInCU: 0x95A2, offset: 0x95A2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x59370, symBinAddr: 0x10230, symSize: 0x0 }
  - { offsetInCU: 0x95BB, offset: 0x95BB, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x593B0, symBinAddr: 0x10240, symSize: 0x0 }
  - { offsetInCU: 0x960D, offset: 0x960D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x44C0, symSize: 0x80 }
  - { offsetInCU: 0x96A2, offset: 0x96A2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4410, symSize: 0xB0 }
  - { offsetInCU: 0x96FD, offset: 0x96FD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4310, symSize: 0x100 }
  - { offsetInCU: 0x9990, offset: 0x9990, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x4540, symSize: 0xC0 }
  - { offsetInCU: 0x99E2, offset: 0x99E2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4600, symSize: 0x220 }
  - { offsetInCU: 0x9BC7, offset: 0x9BC7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4820, symSize: 0xA0 }
  - { offsetInCU: 0x9C7A, offset: 0x9C7A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x48C0, symSize: 0x110 }
  - { offsetInCU: 0x9D70, offset: 0x9D70, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x49D0, symSize: 0x150 }
  - { offsetInCU: 0x9EED, offset: 0x9EED, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4B20, symSize: 0x30 }
  - { offsetInCU: 0x9FCE, offset: 0x9FCE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4B50, symSize: 0x150 }
  - { offsetInCU: 0xA1C6, offset: 0xA1C6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4CA0, symSize: 0x160 }
  - { offsetInCU: 0xA341, offset: 0xA341, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1F70, symBinAddr: 0x4E00, symSize: 0x150 }
  - { offsetInCU: 0xA5C4, offset: 0xA5C4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4F50, symSize: 0x4A0 }
  - { offsetInCU: 0xA85D, offset: 0xA85D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x53F0, symSize: 0x1B0 }
  - { offsetInCU: 0xAA78, offset: 0xAA78, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x55A0, symSize: 0xA0 }
  - { offsetInCU: 0xABE9, offset: 0xABE9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5640, symSize: 0x20 }
  - { offsetInCU: 0xAC20, offset: 0xAC20, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5660, symSize: 0x20 }
  - { offsetInCU: 0xAC57, offset: 0xAC57, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5680, symSize: 0x20 }
  - { offsetInCU: 0xAE4A, offset: 0xAE4A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x56A0, symSize: 0x1A0 }
  - { offsetInCU: 0xB166, offset: 0xB166, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x5840, symSize: 0x130 }
  - { offsetInCU: 0xB316, offset: 0xB316, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x5BE0, symSize: 0x1B0 }
  - { offsetInCU: 0xB605, offset: 0xB605, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5D90, symSize: 0x80 }
  - { offsetInCU: 0xB6CE, offset: 0xB6CE, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5E10, symSize: 0x6A0 }
  - { offsetInCU: 0xC263, offset: 0xC263, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xC330, symBinAddr: 0x91F0, symSize: 0xB0 }
  - { offsetInCU: 0xC2DA, offset: 0xC2DA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x64B0, symSize: 0x70 }
  - { offsetInCU: 0xC3FA, offset: 0xC3FA, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x6520, symSize: 0xA0 }
  - { offsetInCU: 0xC531, offset: 0xC531, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x65C0, symSize: 0x40 }
  - { offsetInCU: 0xC627, offset: 0xC627, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x6600, symSize: 0x2B0 }
  - { offsetInCU: 0xC9CD, offset: 0xC9CD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x68B0, symSize: 0xC0 }
  - { offsetInCU: 0xCB13, offset: 0xCB13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x6970, symSize: 0x10 }
  - { offsetInCU: 0xCBD5, offset: 0xCBD5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x6980, symSize: 0x220 }
  - { offsetInCU: 0xCED2, offset: 0xCED2, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6BA0, symSize: 0x10 }
  - { offsetInCU: 0xCF2F, offset: 0xCF2F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6BB0, symSize: 0x560 }
  - { offsetInCU: 0xD66C, offset: 0xD66C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA170, symBinAddr: 0x7110, symSize: 0x10 }
  - { offsetInCU: 0xD739, offset: 0xD739, size: 0x8, addend: 0x0, symName: _setCurrentStep, symObjAddr: 0xA180, symBinAddr: 0x7120, symSize: 0x140 }
  - { offsetInCU: 0xD952, offset: 0xD952, size: 0x8, addend: 0x0, symName: _disableEvent, symObjAddr: 0xA3A0, symBinAddr: 0x7260, symSize: 0xD0 }
  - { offsetInCU: 0xDA63, offset: 0xDA63, size: 0x8, addend: 0x0, symName: _redefineClass, symObjAddr: 0xA470, symBinAddr: 0x7330, symSize: 0x250 }
  - { offsetInCU: 0xDD2F, offset: 0xDD2F, size: 0x8, addend: 0x0, symName: _readNewBytecode, symObjAddr: 0xA6C0, symBinAddr: 0x7580, symSize: 0x250 }
  - { offsetInCU: 0xDEF5, offset: 0xDEF5, size: 0x8, addend: 0x0, symName: _setBreakPoint, symObjAddr: 0xA910, symBinAddr: 0x77D0, symSize: 0x140 }
  - { offsetInCU: 0xE0E1, offset: 0xE0E1, size: 0x8, addend: 0x0, symName: _callbackClassLoad, symObjAddr: 0xAA50, symBinAddr: 0x7910, symSize: 0x1E0 }
  - { offsetInCU: 0xE387, offset: 0xE387, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0xAC30, symBinAddr: 0x7AF0, symSize: 0xE0 }
  - { offsetInCU: 0xE51B, offset: 0xE51B, size: 0x8, addend: 0x0, symName: _callbackSingleStep, symObjAddr: 0xAD10, symBinAddr: 0x7BD0, symSize: 0x4B0 }
  - { offsetInCU: 0xEB10, offset: 0xEB10, size: 0x8, addend: 0x0, symName: _getLocalVariableValue, symObjAddr: 0xB1C0, symBinAddr: 0x8080, symSize: 0x380 }
  - { offsetInCU: 0xEFC9, offset: 0xEFC9, size: 0x8, addend: 0x0, symName: _callbackException, symObjAddr: 0xB540, symBinAddr: 0x8400, symSize: 0x120 }
  - { offsetInCU: 0xF18D, offset: 0xF18D, size: 0x8, addend: 0x0, symName: _getClassName, symObjAddr: 0xB660, symBinAddr: 0x8520, symSize: 0x210 }
  - { offsetInCU: 0xF470, offset: 0xF470, size: 0x8, addend: 0x0, symName: _getThreadName, symObjAddr: 0xB870, symBinAddr: 0x8730, symSize: 0x180 }
  - { offsetInCU: 0xF6D9, offset: 0xF6D9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0xBB10, symBinAddr: 0x89D0, symSize: 0xB0 }
  - { offsetInCU: 0xF750, offset: 0xF750, size: 0x8, addend: 0x0, symName: _callbackExceptionCatch, symObjAddr: 0xB9F0, symBinAddr: 0x88B0, symSize: 0x120 }
  - { offsetInCU: 0xF8FC, offset: 0xF8FC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_setThread, symObjAddr: 0xBBC0, symBinAddr: 0x8A80, symSize: 0x120 }
  - { offsetInCU: 0xFAC2, offset: 0xFAC2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_resumeThread, symObjAddr: 0xBCE0, symBinAddr: 0x8BA0, symSize: 0x160 }
  - { offsetInCU: 0xFCD8, offset: 0xFCD8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_suspendThread, symObjAddr: 0xBE40, symBinAddr: 0x8D00, symSize: 0x160 }
  - { offsetInCU: 0xFF0E, offset: 0xFF0E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_popFrame, symObjAddr: 0xBFA0, symBinAddr: 0x8E60, symSize: 0x200 }
  - { offsetInCU: 0x1019E, offset: 0x1019E, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC1A0, symBinAddr: 0x9060, symSize: 0x190 }
  - { offsetInCU: 0x10383, offset: 0x10383, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC3E0, symBinAddr: 0x92A0, symSize: 0x36A }
...
